package nl.rubend.queuetimes

import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.material3.MaterialTheme
import androidx.compose.material3.Surface
import androidx.compose.material3.Text
import androidx.compose.runtime.collectAsState
import androidx.compose.ui.Modifier
import androidx.compose.ui.platform.LocalContext
import nl.rubend.queuetimes.components.parkComponent
import nl.rubend.queuetimes.components.parkSelectComponent
import nl.rubend.queuetimes.ui.theme.QueueTimesTheme

class MainActivity : ComponentActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContent {
            val store = ParkStore(LocalContext.current)
            QueueTimesTheme {
                // A surface container using the 'background' color from the theme
                Surface(
                    modifier = Modifier.fillMaxSize(),
                    color = MaterialTheme.colorScheme.background
                ) {
                    val parkId = store.getParkId.collectAsState(-2).value
                    println("current park: $parkId")
                    if(parkId==-2) Text("Error")
                    else if(parkId==-1) parkSelectComponent()
                    else parkComponent(parkId)
                }
            }
        }
    }
}

