package nl.rubend.queuetimes.components

import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.rememberScrollState
import androidx.compose.foundation.verticalScroll
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import io.ktor.client.call.body
import io.ktor.client.request.get
import kotlinx.coroutines.runBlocking
import nl.rubend.queuetimes.data.parks.ParkGroup
import nl.rubend.queuetimes.data.parks.ParksOwner
import nl.rubend.queuetimes.httpClient

@Composable
fun parkSelectComponent() {
    val parks: List<ParksOwner> = runBlocking { httpClient.get("parks.json").body() }
    val convertedParks = parks
        .flatMap { it.parks }
        .groupBy { it.country }
        .toSortedMap()
        .map {(country, parks)-> ParkGroup(country,parks.sortedBy { it.name }) }
    Column(modifier= Modifier.verticalScroll(rememberScrollState())) {
        convertedParks.map {it.compose()}
    }
}