package nl.rubend.queuetimes.components

import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.LaunchedEffect
import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.runtime.setValue
import kotlinx.coroutines.delay
import kotlinx.datetime.Clock
import kotlinx.datetime.Instant
import kotlin.time.Duration
import kotlin.time.DurationUnit
import kotlin.time.toDuration

@Composable
fun timeView(time: Instant) {
    var refresh: Int by remember { mutableStateOf(0) }

    LaunchedEffect(refresh) {
        delay(1000)
        refresh++
    }
    return timeView(Clock.System.now() - time)
}

@Composable
fun timeView(duration: Duration) {
    val fullSeconds = duration.inWholeSeconds.toDuration(DurationUnit.SECONDS)
    Text(fullSeconds.toString())
}

@Composable
fun timeView(time: Int) {
    return timeView(time.toDuration(DurationUnit.MINUTES))
}