package nl.rubend.queuetimes.data.park

import androidx.compose.foundation.layout.Column
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.unit.sp
import kotlinx.serialization.Serializable

@Serializable
data class Land(val id: Int, val name: String, val rides: List<Ride>) {
    @Composable
    fun compose(search: String) {
        Column {
            Text(name, fontWeight= FontWeight.Bold, fontSize=20.sp)
            rides.filter {it.name.lowercase().contains(search.lowercase())}.sortedBy {it.name}.map{ it.compose() }
        }
    }

}
