package nl.rubend.queuetimes.data.park

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.Spacer
import androidx.compose.foundation.layout.absolutePadding
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.text.style.TextOverflow
import androidx.compose.ui.unit.dp
import kotlinx.datetime.Instant
import kotlinx.serialization.Serializable
import nl.rubend.queuetimes.components.timeView

@Serializable
data class Ride(
    val id: Int,
    val name: String,
    val is_open: Boolean,
    val wait_time: Int,
    val last_updated: Instant
) {
    @Composable
    fun compose() {
        Row(modifier=if(!is_open) Modifier.background(Color.Red) else Modifier) {
            Text(name, overflow= TextOverflow.Ellipsis, modifier=Modifier.absolutePadding(left = 10.dp).weight(1f), maxLines=1)
            Spacer(Modifier)
            timeView(wait_time)
//        Text("updated at ${ride.last_updated.toLocalDateTime(TimeZone.currentSystemDefault())}")
        }
    }
}