package nl.rubend.queuetimes.data.parks

import androidx.compose.foundation.clickable
import androidx.compose.foundation.layout.absolutePadding
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.platform.LocalContext
import androidx.compose.ui.unit.dp
import kotlinx.serialization.Serializable
import nl.rubend.queuetimes.ParkStore

@Serializable
data class ParkInfo(
    val id: Int,
    val name: String,
    val country: String,
    val continent: String,
    val latitude: String,
    val longitude: String,
    val timezone: String,
) {
    @Composable
    fun compose() {
        val store = ParkStore(LocalContext.current)
        Text(
            modifier= Modifier
                .absolutePadding(left = 10.dp)
                .clickable {
                    store.savePark(this)
                },
            text=name
        )
    }
}
